/*	xmms ao output plugin
 *	Copyright (C) 2003 Levi Ramsey
 *
 *	This program is Free Software and licensed under the GNU GPL
 *
 *	Description: Outputs audio from xmms to libao2.  This enables automatic
 *		detection of sound system to use (OSS, ALSA, esd, aRts, etc.)
 *
 *	Based on Galex Yen's esd output plugin
 *
 *	Contains code (C) 1998-1999 Mikael Alm, Olle Hallnas, Thomas Nilsson,
 *		and 4Front Technologies
 */

#include "aoout.h"

OutputPlugin ao_op=
{
	NULL,
	NULL,
	"Output to ao2 library",	/* Description */
	aoout_init,			/* Initialize plugin */
	aoout_about,			/* Show about box */
	aoout_configure,		/* Configuration dialog */
	aoout_get_volume,		/* Get volume */
	aoout_set_volume,		/* Set volume */
	aoout_open,			/* Open device for writing to */
	aoout_write,			/* Write to the output buffer */
	aoout_close,			/* Close device */
	aoout_flush,			/* Flush output buffer */
	aoout_pause,			/* Pause/unpause output */
	aoout_free,			/* Returns amount of data in buffer */
	aoout_playing,			/* TRUE if playing audio, otherwise FALSE */
	aoout_get_output_time,		/* current playing time */
	aoout_get_written_time,		/* length of data written to buffer */
};

OutputPlugin *get_oplugin_info(void) {
	ao_op.description=g_strdup_printf(_("libao output plugin %s"), VERSION);
	return &ao_op;
}
	
