/*	xmms ao output plugin
 *	Copyright (C) 2003 Levi Ramsey
 *
 *	This program is Free Software and licensed under the GNU GPL
 *
 *	Description: Outputs audio from xmms to libao2.  This enables automatic
 *		detection of sound system to use (OSS, ALSA, esd, aRts, etc.)
 *
 *	Based on Galex Yen's esd output plugin
 *
 *	Contains code (C) 1998-1999 Mikael Alm, Olle Hallnas, Thomas Nilsson,
 *		and 4Front Technologies
 */

#ifndef AOOUT_H
#define AOOUT_H

#define VERSION "0.6"
#define _(str) str
#include <gtk/gtk.h>

/*	Shouldn't have to do this, but ao is braindead...	*/
#include <stdio.h>

#include <sys/types.h>
#include <sys/stat.h>
#include <ao/ao.h>

#include <unistd.h>

#include <stdlib.h>
#include <string.h>

#include <xmms/plugin.h>

extern OutputPlugin op;

/*	For now, only support the default devices... nothing fancy	*/

void aoout_init(void);	/*done*/
void aoout_about(void);	/*done*/
void aoout_configure(void);	/*done*/

void aoout_get_volume(int *l, int *r);
void aoout_set_volume(int l, int r);

int aoout_playing(void);
int aoout_free(void);
void aoout_write(void *ptr, int length);
void aoout_close(void);	/*done*/
void aoout_flush(int time);
void aoout_pause(short p);
int aoout_open(AFormat fmt, int rate, int nch);	/*done*/
int aoout_get_output_time(void);
int aoout_get_written_time(void);

/*	Useful structure for storing audio format data... */
typedef struct aoout_format {
	ao_sample_format ao;
	int bytespersecond;
	gboolean swap;
} aoout_format;

typedef struct aoout_cfg {
	gboolean buffering;
	int bufsize;
	int bufchunk;
	gboolean fileout;
	char *filetype;
	gboolean fileoverwrite;
	char *directory;
	gboolean prevolume;
	gboolean effectfile;
	gboolean normalize;
	gfloat maxgain;
	gfloat mingain;
	int rvol;
	int lvol;
} aoout_cfg;

extern aoout_cfg ao_cfg;

#endif	/* ifndef AOOUT_H */
